<?php

require_once 'ModbusMaster.php';

// Create Modbus object. $a:IP, $b:TCP-UDP, $c:Port, $d:NumberEquip, $e: DirectionHex
// $f: NumberRegisters, $g: DirectionHexWrite $h: Datos; $i: TiposDatos; 

function LeerModbus($a,$b,$c,$d,$e,$f,$g,$h,$i){

$modbus = new ModbusMaster($a, $b);
$modbus->port = $c;  
$modbus->client_port = $c;

// Data to be writen
$data = array($h);
$dataTypes = array($i);

try {
    // FC23
    $recData = $modbus->readWriteRegisters($d, $e, $f, $g, $data, $dataTypes);
    return $recData; 
}
catch (Exception $z) {
    // Print error information if any
    echo $modbus;
    echo $z;
    exit;
}

}

?>