<?php

require_once 'ModbusMaster.php';

// Create Modbus object. $a:IP, $b:TCP-UDP, $c:Port, $d:NumberEquip, $e: DirectionHex
// $f: Datos; $g: TiposDatos

function LeerModbus($a,$b,$c,$d,$e,$f,$g){

$modbus = new ModbusMaster($a, $b);
$modbus->port = $c;  
$modbus->client_port = $c;

// Data to be writen
$data = array($f);
$dataTypes = array($g);

try {
    // FC6
    $recData = $modbus->writeSingleRegister($d, $e, $data, $dataTypes);
    return $recData; 
}
catch (Exception $z) {
    // Print error information if any
    echo $modbus;
    echo $z;
    exit;
}

}

?>